﻿@model RealEstateNews.Areas.Admin.Models.DashboardVM
@{
    ViewData["Title"] = "Index";
    Layout = "_AdminLayout";
}

<div class="container">
    <div class="d-flex">
        <div>
            <img src="@Url.Content("~/images/house.jpg")" class="rounded-circle" height="200" width="200" />
        </div>
        <div class="ml-4 align-self-center">
            <h1 class="align-middle">Dashboard</h1>
        </div>
    </div>
</div>
<section id="actions" class="pt-4 pb-4 bg-light mt-4">
    <div class="container">
        <div class="row">
            <div class="col-md-3">
               <a href="@Url.Action("CreatePost")" class="btn btn-primary btn-block" data-title="Add Post">
                    <i class="fas fa-plus"></i> Add Post
                </a>                
            </div>
            <div class="col-md-3">                
                <a a-dialog button-style="success" data-title="Add Category" data-url="@Url.Action("AddCategory","Dashboard", new { area = EnumArea.Admin.ToString()})" data-textcolor="text-white">
                    <i class="fas fa-plus"></i> Add Category
                </a>
            </div>
            <div class="col-md-3">
                <a a-dialog button-style="warning" data-title="Add User"  data-url="@Url.Action("AddUser", "Dashboard", new { area=EnumArea.Admin.ToString()})" data-textcolor="text-white">
                    <i class="fas fa-plus"></i> Add User
                </a>
            </div>
        </div>
    </div>
</section>
<section id="posts">
    <div class="container">
        <div class="row">

            <div class="col-md-3">
                <div class="card text-center bg-primary text-white mb-3">
                    <div class="card-body">
                        <h3>Posts</h3>
                        <h4 class="display-4">
                            <i class="fas fa-pencil-alt"></i> @Model.NumberOfPosts
                        </h4>
                        <a asp-action="Posts" asp-controller="Dashboard" asp-area="Admin" class="btn btn-outline-light btn-sm">View</a>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="card text-center bg-success text-white mb-3">
                    <div class="card-body">
                        <h3>Categories</h3>
                        <h4 class="display-4">
                            <i class="fas fa-folder"></i> @Model.NumberOfCategories
                        </h4>
                        <a>&nbsp;</a>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="card text-center bg-warning text-white mb-3">
                    <div class="card-body">
                        <h3>Users</h3>
                        <h4 class="display-4">
                            <i class="fas fa-users"></i> @Model.NumberOfUsers
                        </h4>
                        <a>&nbsp;</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@section Scripts{
    <script>
        $(document).ready(function () {
            DashboardController.initIndex();
        });
    </script>
}